;2005 Mustang GT shader Alex Forbin

shader_body
{
  layer0
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=124
    specular=1 1 1
    diffuse=.5 .5 .5
    ambient=.5 .5 .5
  }
  layer1
  {
    map=stang01.tga
    shininess=124
    specular=1 1 1
    diffuse=.5 .5 .5
    ambient=.5 .5 .5
    blendfunc=one one_minus_src_alpha
  }
}
;---------------------------------------
shader_interiorhr
{
 layer0
 {
  map=interiorhr.tga
  shininess=10
  specular=.2 .2 .2
  ambient=1 1 1
  emission=0 0 0
 }
}
;---------------------------------------
shader_interior
{
 layer0
 {
  map=stang03.tga
  shininess=10
  specular=.2 .2 .2
  ambient=.5 .5 .5
  emission=0 0 0
 }
}
;---------------------------------------
shader_gauges
{
 layer0
 {
  map=interiorhr.tga
  shininess=10
  specular=.2 .2 .2
  ambient=.5 .5 .5
  emission=0 0 0
 }
}
;---------------------------------------
shader_satin
{
 layer0
 {
  map=interiorhr.tga
  shininess=30
  specular=1 1 1
  ambient=.5 .5 .5
  emission=0 0 0
 }
}
;--------------------------------------
shader_intchrome
{
  layer0
  {
    map=interiorhr.tga
    mipmap=0
    shininess=60
    specular= 1 1 1
    emission=0 0 0
  }
  layer1
  {
    map=$trackenvmap
    ;texgen_s=normal_map
    ;texgen_t=normal_map
    ;texgen_r=normal_map
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    emission=0 0 0
    blendfunc=add
  }
}
;-------------------------------
shader_taillights
{
  layer0
  {
    map=stang01.tga
    shininess=128
    specular=.2 .2 .2
    emission=.2 .2 .2
    depthwrite=1
  }
}
;-------------------------------
shader_headlights
{
  layer0
  {
    map=stang02.tga
    shininess=128
    specular=.2 .2 .2
    emission=.2 .2 .2
    blendfunc=blend
    depthwrite=1
  }
}
;-----------------------------
shader_brakelights
{
  layer0
  {
    map=stang02.tga
    emission=1 1 1
    blendfunc=add
    depthwrite=1
  }
}
;--------------------------------------
shader_reflectors
{
  layer0
  {
    map=stang01.tga
    mipmap=0
    shininess=60
    specular=1 1 1
    ambient=1 1 1
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=60
    specular=1 1 1
    ambient=1 1 1
    blendfunc=add
    depthwrite=0
  }
}
;---------------------------------
shader_glass
{
  layer0
  {
    map=stang02.tga
    shininess=96 ;28
    specular=.5 .5 .5
    ambient=.52 .52 .52
    blendfunc=blend
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=96 
    specular=.5 .5 .5
    ambient=.52 .52 .52
    blendfunc=src_color src_alpha
  }
}
;---------------------------------
shader_glass2
{
  layer0
  {
    map=stang02.tga
  }
}
;---------------------------------------
shader_mirror
 {	
	layer0
         {
		map=$mirror
		texscale_s=1
		texscale_r=1
		texscale_t=1
		emission=.5 .5 .5
         }
}
;----------------------------------------
shader_maledriver
{
  layer0
  {
    map=maledriver.tga
    shininess=10
    specular=0 0 0
    ambient=.5 .5 .5
    diffuse=.5 .5 .5
  }
}
;----------------------------------------
shader_gauge_needle
{
  layer0
  {
    map=gauge_needle.jpg
  }
}
;---------------------------------------
shader_chassis
{
  layer0
  {
    map=stang01.tga
    shininess=20
  }
  layer1
  {
    map=stang01.tga
    shininess=20
    blendfunc=one_minus_src_alpha
  }
}
;---------------------------------------
shader_sidewallb0
{
 layer0
 {
  map=wheelb0.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
 }
 layer1
 {
  map=wheelb0.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
  blendfunc=one_minus_src_alpha
 }
}
;---------------------------------------
shader_sidewallb1
{
 layer0
 {
  map=wheelb1.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
 }
 layer1
 {
  map=wheelb1.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
  blendfunc=one_minus_src_alpha
 }
}
;---------------------------------------
shader_sidewallb2
{
 layer0
 {
  map=wheelb2.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
 }
 layer1
 {
  map=wheelb2.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
  blendfunc=one_minus_src_alpha
 }
}
;---------------------------------------
shader_sidewallb3
{
 layer0
 {
  map=wheelb3.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
 }
 layer1
 {
  map=wheelb3.tga
  shininess=60
  specular=.5 .5 .5
  ambient=.1 .1 .1
  blendfunc=one_minus_src_alpha
 }
}
;--------------------------------------
shader_treadb0
{
 layer0
 {
  map=wheelb0.tga
  shininess=60
  specular=1 1 1
  ambient=.5 .5 .5
  blendfunc=one_minus_src_alpha
 }
}
;--------------------------------------
shader_treadb1
{
 layer0
 {
  map=wheelb1.tga
  shininess=30
  specular=1 1 1
  ambient=.5 .5 .5
  blendfunc=one_minus_src_alpha
 }
}
;--------------------------------------
shader_treadb2
{
 layer0
 {
  map=wheelb2.tga
  shininess=30
  specular=1 1 1
  ambient=.5 .5 .5
  blendfunc=one_minus_src_alpha
 }
}
;--------------------------------------
shader_treadb3
{
 layer0
 {
  map=wheelb3.tga
  shininess=30
  specular=1 1 1
  ambient=.5 .5 .5
  blendfunc=one_minus_src_alpha
 }
}
;--------------------------------------
shader_rotor
{
  layer0
  {
    map=brakes.tga
    shininess=30
    ambient=1 1 1
    specular=1 1 1
    diffuse=1 1 1
    blendfunc=blend
  }
}
;--------------------------------------
shader_wheelb0
{
  layer0
  {
    map=wheelb0.tga
    shininess=60
    ambient=1 1 1
    specular=1 1 1
    diffuse=1 1 1
    blendfunc=blend
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=60 
    specular=.5 .5 .5
    ambient=1 1 1
    blendfunc=src_color src_alpha
  }
}
;--------------------------------------
shader_wheelb1
{
  layer0
  {
    map=wheelb1.tga
    shininess=60
    ambient=1 1 1
    specular=1 1 1
    diffuse=1 1 1
    blendfunc=blend
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=60 
    specular=.5 .5 .5
    ambient=1 1 1
    blendfunc=src_color src_alpha
  }
}
;--------------------------------------
shader_wheelb2
{
  layer0
  {
    map=wheelb2.tga
    shininess=60
    ambient=1 1 1
    specular=1 1 1
    diffuse=1 1 1
    blendfunc=blend
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=60 
    specular=.5 .5 .5
    ambient=1 1 1
    blendfunc=src_color src_alpha
  }
}
;--------------------------------------
shader_wheelb3
{
  layer0
  {
    map=wheelb3.tga
    shininess=60
    ambient=.5 .5 .5
    specular=.5 .5 .5
    diffuse=1 1 1
    blendfunc=blend
  }
  layer1
  {
    map=$trackenvmap
    texgen_s=reflection_map
    texgen_t=reflection_map
    texgen_r=reflection_map
    shininess=60 
    specular=.5 .5 .5
    ambient=1 1 1
    blendfunc=src_color src_alpha
  }
}

